import { ApiBase } from './ApiBase';
import { ToolPanelApi } from '../ToolPanelApi';
import { ToolPanelState, ToolPanelVisibilityMode } from '../../PredefinedConfig/ToolPanelState';
import { CustomToolPanel, ToolPanelButtonContext } from '../../AdaptableOptions/ToolPanelOptions';
import { AdaptableButton } from '../../PredefinedConfig/Common/AdaptableButton';
import { AdaptableModuleButtons, AdaptableToolPanel } from '../../PredefinedConfig/Common/Types';
export declare class ToolPanelApiImpl extends ApiBase implements ToolPanelApi {
    getToolPanelState(): ToolPanelState;
    showToolPanelPopup(): void;
    openAdapTableToolPanel(): void;
    closeAdapTableToolPanel(): void;
    getCustomToolPanels(): CustomToolPanel[];
    getCustomToolPanelButtons(): AdaptableButton<ToolPanelButtonContext>[];
    getCustomToolPanelByName(name: string): CustomToolPanel | undefined;
    setAdaptableToolPanelVisibilityMode(adaptableToolPanel: AdaptableToolPanel, visibilityMode: ToolPanelVisibilityMode): void;
    setCustomToolPanelVisibilityMode(customToolPanelName: string, visibilityMode: ToolPanelVisibilityMode): void;
    setModuleButtons(moduleButtons: AdaptableModuleButtons): void;
    getModuleButtons(): AdaptableModuleButtons;
    private setExpandedToolPanelVisibility;
    private setCollapsedToolPanelVisibility;
}
